Subject: ZoneLighter - segfault when using more threats
Description

During using the build gamedata pipeline, the tool zone_lighter builds the lighted zone files. On my computer i used 6 cores to
compute the files. In majority of the cases, the lighted zones were built correctly. But sometimes the tool stops with the error
"patchInfo.Lumels.size()==lumelCount". After some time of debugging, i found out, that there is an issue with the different threats.
Setting the CPUmask manually to use only one core, everything is fine. If 6 cores are used, one threat has a NULL-pointer and
causes this error.

I'll look a little deeper in this issue. Perhaps this only happens if 6 or more cores are used.

History
#1 - 03/16/2011 12:22 pm - Krolock

I've set the CPUmask to 4 and 5 cores. No issue. This is only happening with 6 cores.

#2 - 03/16/2011 12:34 pm - dnk-88
- Target version changed from Version 0.7.0 to Version 0.9.0

#3 - 03/17/2011 08:23 pm - Naush

Confirmed, with 6 and 8 cores crash occurs , Using 7 cores program run normally.

#4 - 04/02/2012 07:32 am - Botanic

I can confirm still bugged -.-
